Summary: InfiniBand fabric simulator for management
Name: ibsim
Version: 0.8
Release: 2%{?dist}
License: GPLv2 or BSD
Source: https://github.com/linux-rdma/%{name}/releases/download/%{version}/%{name}-%{version}.tar.gz
# Patch #0001 applied in upstream repo. It was generated from upstream repo.
Patch1: 0001-umad2sim-Do-not-use-umad.h-deprecated-functions.patch
# Patch #0002 is under reviewing. https://patchwork.kernel.org/patch/10746335/
Patch2: 0002-run_opensm.sh-remove-opensm-c-option.patch

Url: https://github.com/linux-rdma/ibsim
BuildRequires: libibmad-devel, libibumad-devel, gcc

# RDMA is not currently built on 32-bit ARM: #1484155
ExcludeArch: s390 %{arm}

%description
ibsim provides simulation of infiniband fabric for using with
OFA OpenSM, diagnostic and management tools.

%prep
%autosetup -v -p1

%build
%set_build_flags
%make_build

%install
%make_install prefix=%{_prefix} libpath=%{_libdir} binpath=%{_bindir}

%files
%{_libdir}/umad2sim/
%{_bindir}/ibsim
%doc README TODO net-examples scripts
%license COPYING

%changelog
* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Mon Apr 22 2019 Honggang Li <honli@redhat.com> - 0.8-1
- Import ibsim for fedora
